========================
CloudKitty REST API (v1)
========================

Collector
=========

.. rest-controller:: cloudkitty.api.v1.controllers.collector:CollectorController
   :webprefix: /v1/collector

.. rest-controller:: cloudkitty.api.v1.controllers.collector:MappingController
   :webprefix: /v1/collector/mappings

.. rest-controller:: cloudkitty.api.v1.controllers.collector:CollectorStateController
   :webprefix: /v1/collector/states

.. autoclass:: cloudkitty.api.v1.datamodels.collector.CollectorInfos
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.collector.ServiceToCollectorMapping
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.collector.ServiceToCollectorMappingCollection
   :members:


Info
====

.. rest-controller:: cloudkitty.api.v1.controllers.info:InfoController
   :webprefix: /v1/info

.. rest-controller:: cloudkitty.api.v1.controllers.info:MetricInfoController
   :webprefix: /v1/info/metric

.. autoclass:: cloudkitty.api.v1.datamodels.info.CloudkittyMetricInfo
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.info.CloudkittyMetricInfoCollection
   :members:

.. rest-controller:: cloudkitty.api.v1.controllers.info:ServiceInfoController
   :webprefix: /v1/info/service


Rating
======

.. rest-controller:: cloudkitty.api.v1.controllers.rating:ModulesController
   :webprefix: /v1/rating/modules

.. rest-controller:: cloudkitty.api.v1.controllers.rating:ModulesExposer
   :webprefix: /v1/rating/module_config

.. rest-controller:: cloudkitty.api.v1.controllers.rating:RatingController
   :webprefix: /v1/rating

.. autoclass:: cloudkitty.api.v1.datamodels.rating.CloudkittyModule
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.rating.CloudkittyModuleCollection
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.rating.CloudkittyResource
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.rating.CloudkittyResourceCollection
   :members:


Report
======

.. rest-controller:: cloudkitty.api.v1.controllers.report:ReportController
   :webprefix: /v1/report


Storage
=======

.. rest-controller:: cloudkitty.api.v1.controllers.storage:StorageController
   :webprefix: /v1/storage

.. rest-controller:: cloudkitty.api.v1.controllers.storage:DataFramesController
   :webprefix: /v1/storage/dataframes

.. autoclass:: cloudkitty.api.v1.datamodels.storage.RatedResource
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.storage.DataFrame
   :members:

.. autoclass:: cloudkitty.api.v1.datamodels.storage.DataFrameCollection
   :members:
